org.eclipse.graphiti.ui.internal.editor

## Class GFScrollingGraphicalViewer

- java.lang.Object
- - org.eclipse.gef.ui.parts.AbstractEditPartViewer
  - - org.eclipse.gef.ui.parts.GraphicalViewerImpl
    - - org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
      - - org.eclipse.graphiti.ui.internal.editor.GraphitiScrollingGraphicalViewer
        - - org.eclipse.graphiti.ui.internal.editor.GFScrollingGraphicalViewer

All Implemented Interfaces:
  org.eclipse.gef.EditPartViewer, org.eclipse.gef.GraphicalViewer, org.eclipse.jface.viewers.ISelectionProvider

    public class GFScrollingGraphicalViewer
    extends GraphitiScrollingGraphicalViewer

The Class GFScrollingGraphicalViewer.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer

`org.eclipse.gef.EditPartViewer.Conditional`

### Constructor Summary

Constructors
Constructor and Description
`GFScrollingGraphicalViewer(DiagramBehavior diagramBehavior)` Constructs a ScrollingGraphicalViewer;.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Control` `createGFControl(org.eclipse.swt.widgets.Composite parent)` Creates the gf control.
`void` `reveal(org.eclipse.gef.EditPart part)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.editor.GraphitiScrollingGraphicalViewer

`appendSelection, select, setSelection`

### Methods inherited from class org.eclipse.gef.ui.parts.ScrollingGraphicalViewer

`createControl`

### Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerImpl

`findHandleAt, findObjectAtExcluding, flush, registerAccessibleEditPart, setContextMenu, setCursor, setEditDomain, setRootEditPart, setRouteEventsToEditDomain, unregisterAccessibleEditPart`

### Methods inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, addSelectionChangedListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, removeSelectionChangedListener, setContents, setContents, setControl, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, setContents, setContents, setControl, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener`

### Constructor Detail

#### GFScrollingGraphicalViewer

    public GFScrollingGraphicalViewer(DiagramBehavior diagramBehavior)

Constructs a ScrollingGraphicalViewer;.

Parameters:
  `diagramEditor` - the diagram editor

### Method Detail

#### createGFControl

    public final org.eclipse.swt.widgets.Control createGFControl(org.eclipse.swt.widgets.Composite parent)

Creates the gf control.

Parameters:
  `parent` - the parent
Returns:
  the control

#### reveal

    public void reveal(org.eclipse.gef.EditPart part)

Specified by:
  `reveal` in interface `org.eclipse.gef.EditPartViewer`
Overrides:
  `reveal` in class `org.eclipse.gef.ui.parts.ScrollingGraphicalViewer`